-- Customer specific once-script UWVA#25594.
--
-- (c) 2013 SG|facilitor bv
-- $Revision$
-- $Id$
--
-- Support: +31 53 4800700

SET ECHO ON
SPOOL xuwva#26025.lst
SET DEFINE OFF

SELECT PRS_PERSLID_KEY,
       PRS_PERSLID_VOORNAAM,
       PRS_PERSLID_NAAM,
       ALG_RUIMTE_NR,
       ALG_RUIMTE_KEY,
       ALG_RUIMTE_VERWIJDER
  FROM prs_perslid, alg_ruimte
 WHERE     alg_onroerendgoed_keys = alg_ruimte_key
       AND alg_onroerendgoed_type = 'R'
       AND alg_ruimte_verwijder IS NOT NULL;
-- 4582	    Gretha	Wiersma	B025	24970	12-2-2013 13:33:22
-- 37010	Anita	Berg	031	    56216	8-11-2012 7:58:16
-- 49903	Menno	Smidt	B025	24970	12-2-2013 13:33:22
-- 57024	Chloé	Centen	006A	65860	17-12-2012 11:32:27
-- 54476	Bjorn	Heijden	010	    54222	24-1-2013 10:15:59


-- Wis de 'standplaats' bij gebruikers waar die ruimte is verwijderd
UPDATE prs_perslid
   SET alg_onroerendgoed_keys = NULL, alg_onroerendgoed_type = NULL
 WHERE PRS_PERSLID_KEY IN
             (SELECT PRS_PERSLID_KEY
                FROM prs_perslid, alg_ruimte
               WHERE     alg_onroerendgoed_keys = alg_ruimte_key
                     AND alg_onroerendgoed_type = 'R'
                     AND alg_ruimte_verwijder IS NOT NULL);

COMMIT;

BEGIN adm.systrackscript('$Workfile: uwva#26025.sql $', '$Revision$', 1); END;
/
COMMIT;
SPOOL OFF;
